Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class BpelServerImpl.PolledRunnableProcessor

    java.lang.Object
      org.apache.ode.bpel.engine.BpelServerImpl.PolledRunnableProcessor

All Implemented Interfaces:
  Scheduler.JobProcessor

Enclosing class:
  BpelServerImpl

    public static class BpelServerImpl.PolledRunnableProcessor

extends java.lang.Object
implements Scheduler.JobProcessor

This wraps up the executor service for polled runnables.

Constructor Summary
`BpelServerImpl.PolledRunnableProcessor()`

Method Summary
`void` | `onScheduledJob(Scheduler.JobInfo jobInfo)` Implements execution of the job.
`void` | `setContexts(Contexts contexts)`
`void` | `setPolledRunnableExecutorService(java.util.concurrent.ExecutorService polledRunnableExecutorService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BpelServerImpl.PolledRunnableProcessor

    public BpelServerImpl.PolledRunnableProcessor()

Method Detail

### setContexts

    public void setContexts(Contexts contexts)

### setPolledRunnableExecutorService

    public void setPolledRunnableExecutorService(java.util.concurrent.ExecutorService polledRunnableExecutorService)

### onScheduledJob

    public void onScheduledJob(Scheduler.JobInfo jobInfo)
                        throws Scheduler.JobProcessorException

  Description copied from interface: `Scheduler.JobProcessor`
  Implements execution of the job.

  Specified by:
    `onScheduledJob` in interface `Scheduler.JobProcessor`
  Parameters:
    `jobInfo` - the job information
  Throws:
    `Scheduler.JobProcessorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD